import { createApp } from 'vue'
import App from './App.vue'
import store from './store'
import VueClickAway from 'vue3-click-away';
import FloatingVue from 'floating-vue'
import 'floating-vue/dist/style.css'
import { jsPlumb } from "jsplumb";
import Vue3Toasity, { toast } from 'vue3-toastify';

const diviViewsWizard = createApp(App);

// Use Vuex Store
diviViewsWizard.use(store);

// Use Vue Click Away Module
diviViewsWizard.use(VueClickAway);

// FloatingVue module(tooltip)
diviViewsWizard.use(FloatingVue);

diviViewsWizard.use(Vue3Toasity, {
    transition: toast.TRANSITIONS.SLIDE,
    position: toast.POSITION.TOP_RIGHT,
    hideProgressBar: true,
    pauseOnHover: false,
    autoClose: 3000,
} );

// Register CherryX Global Vue Components
window.cxVueUi.registerGlobalComponents( diviViewsWizard );

diviViewsWizard.mount('#divi-views-wizard');

window.diviViewsWizard = diviViewsWizard;

